unit D2Gsms;

interface

uses
  Dialogs,Classes, Forms, SysUtils, WSocket;

type
  TD2Gsms = class(TComponent)
  private
   FUsername, FPassword, FNumber, FSubject, FMessage: string;
   FBusy : Boolean;
   FOwner : TComponent;
  protected
    { Protected declarations }
  public
   constructor Create(AOwner : TComponent); override;
   destructor Destroy; override;
   procedure Send;
  published
   property Username : string read FUsername write FUsername;
   property Password : string read FPassword write FPassword;
   property MobileNumber : string read FNumber write FNumber;
   property Subject : string read FSubject write FSubject;
   property MessageText : string read FMessage write FMessage;
   property Busy : Boolean read FBusy;
  end;

procedure Register;

implementation

constructor TD2Gsms.Create(AOwner : TComponent);
begin
  inherited Create(AOwner);
  FOwner := AOwner;
end;

destructor TD2Gsms.Destroy;
begin
  inherited Destroy;
end;

procedure TD2Gsms.Send;
var Socket : TWSocket;
begin
  Socket := TWSocket.Create(FOwner);
  if Socket.State <> wsConnected then begin
   Socket.Proto := 'tcp';
   Socket.Port := '80';
   Socket.Addr := 'www.genie.co.uk';
   Socket.Connect;
   while Socket.State in [wsConnecting] do begin
    Application.ProcessMessages;
    if Application.Terminated then Exit;
   end;
   if Socket.State = wsConnected then begin
    FBusy := True;
    Socket.SendStr(
    'POST /public/gmail/partnersm/loginsend HTTP/1.1' + #13#10 +
    'Content-Type: application/x-www-form-urlencoded' + #13#10 +
    'Host: www.genie.co.uk' + #13#10 +
    'Content-Length: ' + IntToStr(
    71 + Length(FUsername) + Length(FPassword) + Length(FNumber) + Length(FSubject) + Length(FMessage)) + #13#10 +
    'Cookie: CookieValidationPerm=CookieOK; RMID=d501114b39c8e150; SITESERVER=ID=3c703310a4eecf5c435d6be97d4149eb' +
    #13#10+#13#10 +
    'username=' + FUsername +
    '&password=' + FPassword +
    '&phoneNumber=' + FNumber +
    '&SUBJECT=' +FSubject +
    '&MESSAGE=' + FMessage +
    '&action=Send&left=1' + #13#10);
     Socket.Close;
     FBusy := False;
   end;
  end;
  Socket.Destroy;
end;

procedure Register;
begin
  RegisterComponents('b-w-d.net', [TD2Gsms]);
end;

end.