unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  jpeg, ExtCtrls, Buttons, StdCtrls, D2Gsms;

type
  TMainForm = class(TForm)
    sms: TD2Gsms;
    MainBevel: TBevel;
    UsernameLabel: TLabel;
    Username: TEdit;
    PasswordLabel: TLabel;
    Password: TEdit;
    NumberLabel: TLabel;
    Number: TEdit;
    MsgLabel: TLabel;
    TextMessage: TMemo;
    ButtonBevel: TBevel;
    Send: TSpeedButton;
    Image: TImage;
    Chars: TLabel;
    SMSLabel: TLabel;
    procedure TextMessageChange(Sender: TObject);
    procedure SendClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.TextMessageChange(Sender: TObject);
begin
  Chars.Caption := 'Characters: ' +
   IntToStr(159-(Length(TextMessage.Lines.Text) - 159*Trunc(Length(TextMessage.Lines.Text) / 159) ));
  SMSLabel.Caption := 'SMS: ' + IntToStr(Trunc(Length(TextMessage.Lines.Text) / 159)+1);
end;

procedure TMainForm.SendClick(Sender: TObject);
var I:integer;
begin
  Send.Enabled := False;
  Username.enabled := False;
  Password.Enabled := False;
  Number.Enabled := False;
  TextMessage.Enabled := False;
  sms.Username := Trim(Username.Text);
  sms.Password := Trim(Password.Text);
  if Copy(Trim(Number.Text),1,1) = '+' then sms.MobileNumber := '%2B' + Trim(Number.Text)
  else sms.MobileNumber := Trim(Number.Text);
  for I := 0 to Trunc(Length(TextMessage.Lines.Text) / 159) do begin
   sms.MessageText := Copy(TextMessage.Lines.Text, (I * 159)+1, 159);
   sms.Send;
  end;
  Username.enabled := True;
  Password.Enabled := True;
  Number.Enabled := True;
  TextMessage.Enabled := True;
  Send.Enabled := True;
end;

end.


